<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@ page contentType="text/html;charset=windows-1252"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces/webcache" prefix="afc"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces" prefix="af"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces/html" prefix="afh"%>
<f:view>
  <afh:html>
    <afh:head title="Browse Employees">
      <meta http-equiv="Content-Type"
            content="text/html; charset=windows-1252"/>
    </afh:head>
    <afh:body>
      <af:messages/>
      <h:form>
        <af:panelPage title="Browse Employees">
          <f:facet name="menu1"/>
          <f:facet name="menuGlobal"/>
          <f:facet name="branding"/>
          <f:facet name="brandingApp"/>
          <f:facet name="appCopyright"/>
          <f:facet name="appPrivacy"/>
          <f:facet name="appAbout"/>
          <af:table value="#{bindings.EmployeesView1.collectionModel}" var="row"
                    rows="#{bindings.EmployeesView1.rangeSize}"
                    first="#{bindings.EmployeesView1.rangeStart}"
                    emptyText="#{bindings.EmployeesView1.viewable ? \'No rows yet.\' : \'Access Denied.\'}"
                    selectionState="#{bindings.EmployeesView1.collectionModel.selectedRow}"
                    selectionListener="#{bindings.EmployeesView1.collectionModel.makeCurrent}">
            <af:column headerText="#{bindings.EmployeesView1.labels.EmployeeId}"
                       sortProperty="EmployeeId" sortable="true">
              <af:outputText value="#{row.EmployeeId}">
                <f:convertNumber groupingUsed="false"
                                 pattern="#{bindings.EmployeesView1.formats.EmployeeId}"/>
              </af:outputText>
            </af:column>
            <af:column headerText="#{bindings.EmployeesView1.labels.FirstName}"
                       sortProperty="FirstName" sortable="true">
              <af:outputText value="#{row.FirstName}"/>
            </af:column>
            <af:column headerText="#{bindings.EmployeesView1.labels.LastName}"
                       sortProperty="LastName" sortable="true">
              <af:outputText value="#{row.LastName}"/>
            </af:column>
            <af:column headerText="#{bindings.EmployeesView1.labels.HireDate}"
                       sortProperty="HireDate" sortable="true">
              <af:outputText value="#{row.HireDate}">
                <f:convertDateTime pattern="#{bindings.EmployeesView1.formats.HireDate}"/>
              </af:outputText>
            </af:column>
            <af:column headerText="#{bindings.EmployeesView1.labels.JobId}"
                       sortProperty="JobId" sortable="true">
              <af:outputText value="#{row.JobId}"/>
            </af:column>
            <f:facet name="selection">
              <af:tableSelectOne text="Select and">
                <af:commandButton text="Edit" action="edit"/>
                <af:commandButton actionListener="#{bindings.Create.execute}"
                                  text="New"
                                  disabled="#{!bindings.Create.enabled}"
                                  action="edit"/>
              </af:tableSelectOne>
            </f:facet>
          </af:table>
        </af:panelPage>
      </h:form>
    </afh:body>
  </afh:html>
</f:view>