-- Logged in as HR

-- check logged in users. note client_info and action
SELECT username, action, client_info, osuser, schemaname, terminal, 
       program, SID, serial#, machine, terminal, logon_time
FROM   SYS.v_$session 
WHERE username IS NOT NULL
ORDER BY osuser;

-- Set the context for a "web user"
BEGIN
   security_pkg.set_security_context('A_USER');
END;

-- Read the context
SELECT security_pkg.logged_in_user 
FROM dual;

-- check logged in users. note client_info and action for A_USER
SELECT username, action, client_info, osuser, schemaname, terminal, 
       program, SID, serial#, machine, terminal, logon_time
FROM   SYS.v_$session 
WHERE username IS NOT NULL
ORDER BY osuser;

-- Notice audit column values
SELECT employee_id, first_name, last_name,
       created_by, created_date, 
       modified_by, modified_date
FROM   employees
WHERE  employee_id = 100;

-- Issue an update
UPDATE employees
SET last_name = last_name
WHERE  employee_id = 100;

-- you should see A_USER as the modified by and 
-- today as the modified_date
SELECT employee_id, first_name, last_name,
       created_by, created_date, 
       modified_by, modified_date
FROM   employees
WHERE  employee_id = 100;
